<?php

// Custom CSS Output
function artix_custom_css_output() {
	
$header_text_color = get_theme_mod( 'artix_header_text_color' , '#eeeeee' );
$header_backgroundcolor = get_theme_mod('artix_header_backgroundcolor', '#111111');
$content_background_color = get_theme_mod( 'artix_content_background_color' , '#eeeeee' );
$footer_background_color = get_theme_mod('artix_footer_background_color', '#111111');
$site_text_color = get_theme_mod('artix_site_text_color', '#111111');
$site_link_color = get_theme_mod('artix_site_link_color', '#dd3333' );
$site_link_hover_color = get_theme_mod( 'artix_site_link_hover_color', '#eb3636' );
$footer_color = get_theme_mod( 'artix_footer_color', '#eeeeee' );
$navigation_menu_position = get_theme_mod( 'artix_navigation_menu_position' , 'flex-end' );
$content_top_margin = get_theme_mod( 'artix_content_top_margin' , 40 );
$content_bottom_margin = get_theme_mod( 'artix_content_bottom_margin' , 16 );
$site_title_font_size = get_theme_mod( 'artix_site_title_font_size' , 28 );
$site_description_font_size = get_theme_mod( 'artix_site_description_font_size' , 16 );
$h1_font_size = get_theme_mod( 'artix_h1_font_size' , 40 );
$h2_font_size = get_theme_mod( 'artix_h2_font_size' , 32 );
$h3_font_size = get_theme_mod( 'artix_h3_font_size' , 28 );
$h4_font_size = get_theme_mod( 'artix_h4_font_size' , 24 );
$h5_font_size = get_theme_mod( 'artix_h5_font_size' , 20 );
$h6_font_size = get_theme_mod( 'artix_h6_font_size' , 16 );
$body_font_size = get_theme_mod( 'artix_body_font_size' , 16 );
$single_post_title_size = get_theme_mod('artix_single_post_title_size', 40);

$site_title_checkbox = get_theme_mod('artix_show_site_title', 1);
if ( ! $site_title_checkbox ) {
	$show_site_title = 'display: none;';
}
else {
	$show_site_title = 'display: inline-block;';
}

$site_tagline_checkbox = get_theme_mod( 'artix_show_site_tagline', 1);
if ( ! $site_tagline_checkbox ) {
	$show_site_tagline = 'display: none;';
}
else {
	$show_site_tagline = 'display: block;';
}
$body_font_family = ucwords(get_theme_mod('artix_body_font_family', 'Poppins'));
$body_font_family_pluses = str_replace(' ', '+', $body_font_family);
$body_fallback = get_theme_mod('artix_body_fallback' , '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"');
$heading_font_family = ucwords(get_theme_mod( 'artix_heading_font_family', 'Poppins' ) );
$heading_font_family_pluses = str_replace(' ', '+', $heading_font_family);
$heading_fallback = get_theme_mod('artix_heading_fallback' , '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"');

$sidebar_widget_title_font_size = get_theme_mod( 'artix_sidebar_widget_title_font_size', 32 );
$sidebar_widget_title_color = get_theme_mod( 'artix_sidebar_widget_title_color' , '#111111' );
$sidebar_widget_background_color = get_theme_mod( 'artix_sidebar_widget_background_color' , '#ffffff' );
$sidebar_widget_font_size = get_theme_mod( 'artix_sidebar_widget_font_size' , 16 );
$sidebar_widget_text_color = get_theme_mod( 'artix_sidebar_widget_text_color', '#111111' );

$footer_widget_title_color = get_theme_mod( 'artix_footer_widget_title_color', '#dddddd'); 
$footer_widget_text_color = get_theme_mod( 'artix_footer_widget_text_color', '#dddddd');
$footer_widget_title_font_size = get_theme_mod( 'artix_footer_widget_title_font_size', 32 );
$footer_widget_text_font_size = get_theme_mod( 'artix_footer_widget_text_font_size', 16 ); ;

$navigation_top_menu_link_color = get_theme_mod( 'artix_navigation_top_menu_link_color', '#eeeeee' );
$navigation_top_menu_background_color = get_theme_mod( 'artix_navigation_top_menu_background_color', '#111111' );
$navigation_top_menu_font_size = get_theme_mod( 'artix_navigation_top_menu_font_size' , 16 );
$dropdown_link_color = get_theme_mod( 'artix_dropdown_link_color' , '#111111' );
$dropdown_link_hover_color = get_theme_mod( 'artix_dropdown_link_hover_color' , '#333333' );
$dropdown_background_color = get_theme_mod( 'artix_dropdown_background_color' , '#ffffff' );
$dropdown_link_hover_background_color = get_theme_mod( 'artix_dropdown_link_hover_background_color' , '#dddddd' );
$dropdown_button_color = get_theme_mod( 'artix_dropdown_button_color' , '#dddddd' );
$dropdown_button_background_color = get_theme_mod( 'artix_dropdown_button_background_color' , '#222222');
$dropdown_area_color = get_theme_mod( 'artix_dropdown_area_color' , '#333333' );
$mobile_navigation_menu_link_color = get_theme_mod( 'artix_mobile_navigation_menu_link_color' , '#111111' );
$mobile_navigation_menu_background_color = get_theme_mod( 'artix_mobile_navigation_menu_background_color' , '#eeeeee' );

$header_max_width = get_theme_mod( 'artix_header_max_width' , 1200 );
$content_max_width = get_theme_mod( 'artix_content_max_width' , 1200 );
$footer_max_width = get_theme_mod( 'artix_footer_max_width' , 1200 );

$display_sidebar_checkbox = get_theme_mod('artix_display_sidebar', 1);
if ( ! $display_sidebar_checkbox ) {
	$display_sidebar = 'display: none';
}
else {
	$display_sidebar = 'display: block;';
}

$content_width = get_theme_mod( 'artix_content_width' , 70 );
$sidebar_width = get_theme_mod( 'artix_sidebar_width' , 30 );

$blog_entry_style = get_theme_mod('artix_blog_entry_style' , 100);
$blog_entry_meta_alignment = get_theme_mod( 'artix_blog_entry_meta_alignment' , 'center' );
$blog_entry_title_alignment = get_theme_mod( 'artix_blog_entry_title_alignment' , 'center' );
$blog_entry_footer_alignment = get_theme_mod( 'artix_blog_entry_footer_alignment' , 'center' );
$blog_entry_image_alignment = get_theme_mod( 'artix_blog_entry_image_alignment' , 'center' );
$blog_entry_background_color = get_theme_mod( 'artix_blog_entry_background_color' , '#ffffff' );
$blog_entry_border_radius = get_theme_mod( 'artix_blog_entry_border_radius' , 10 );
$blog_entry_padding = get_theme_mod( 'artix_blog_entry_padding' , 16);
$read_more_link_alignment = get_theme_mod( 'artix_read_more_link_alignment' , 'center' );
$read_more_link_color = get_theme_mod( 'artix_read_more_link_color' , '#eeeeee' );
$read_more_link_background_color = get_theme_mod( 'artix_read_more_link_background_color' , '#dd3333' );

$pagination_text_color = get_theme_mod( 'artix_pagination_text_color' , '#888888' );
$pagination_background_color = get_theme_mod( 'artix_pagination_background_color' , '#ffffff' );
$pagination_hover_text_color = get_theme_mod( 'artix_pagination_hover_text_color' , '#dddddd' );
$pagination_hover_background_color = get_theme_mod( 'artix_pagination_hover_background_color' , '#555555' );
if (get_header_image() == '') {
	$header_image_link = get_template_directory_uri() . '/img/slide-6.jpg';
} else {
	$header_image_link = get_header_image();
}
echo "<style type='text/css'>";
echo ".header-image {";
echo " background: #222 url('{$header_image_link}') no-repeat scroll center center;";
echo " background-size: cover;}";
echo "</style>";

$display_header_image_checkbox = get_theme_mod('artix_display_header_image', 1);
if ( ! $display_header_image_checkbox ) {
	$display_header_image = 'display: none;';
}
else {
	$display_header_image = 'display: flex;';
}

$header_image_title_font_family = ucwords(get_theme_mod('artix_header_image_title_font_family', 'Playfair Display'));
$header_image_title_font_family_pluses = str_replace(' ', '+', $header_image_title_font_family);
$header_image_title_fallback = get_theme_mod('artix_header_image_title_fallback' , '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"' );

$header_image_subtitle_font_family = ucwords(get_theme_mod('artix_header_image_subtitle_font_family', 'Montserrat'));
$header_image_subtitle_font_family_pluses = str_replace(' ', '+', $header_image_subtitle_font_family);
$header_image_subtitle_fallback = get_theme_mod( 'artix_header_image_subtitle_fallback' , '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"' );

$header_image_title_color = get_theme_mod( 'artix_header_image_title_color' , '#ffffff' );
$header_image_subtitle_color = get_theme_mod( 'artix_header_image_subtitle_color' , '#ffffff' );
$header_image_title_alignment = get_theme_mod( 'artix_header_image_title_alignment' , 'left' );
$header_image_subtitle_alignment = get_theme_mod( 'artix_header_image_subtitle_alignment' , 'left' );
$header_image_title_font_size = get_theme_mod( 'artix_header_image_title_font_size' , 60 );
$header_image_subtitle_font_size = get_theme_mod( 'artix_header_image_subtitle_font_size' , 30 );
$header_image_title_font_weight = get_theme_mod( 'artix_header_image_title_font_weight' , 100 );
$header_image_subtitle_font_weight = get_theme_mod( 'artix_header_image_subtitle_font_weight' , 100 );
$header_image_title_margin_bottom = get_theme_mod( 'artix_header_image_title_margin_bottom' , 16);
$header_image_subtitle_margin_bottom = get_theme_mod( 'artix_header_image_subtitle_margin_bottom' , 16);
$cta_button_alignment = get_theme_mod( 'artix_cta_button_alignment' , 'left' );
$cta_button_vertical_padding = get_theme_mod( 'artix_cta_button_vertical_padding' , 10);
$cta_button_horizontal_padding = get_theme_mod( 'artix_cta_button_horizontal_padding' , 20);
$cta_button_border_radius = get_theme_mod( 'artix_cta_button_border_radius' , 50 );
$cta_button_border_width = get_theme_mod( 'artix_cta_button_border_width' , 2 );
$cta_button_font_size = get_theme_mod( 'artix_cta_button_font_size' , 20 );
$cta_button_border_color = get_theme_mod( 'artix_cta_button_border_color' , '#ffffff' );
$cta_button_text_color = get_theme_mod( 'artix_cta_button_text_color' , '#ffffff' );
$cta_button_hover_background_color = get_theme_mod( 'artix_cta_button_hover_background_color' , '#dd3333' );
$cta_button_hover_border_color = get_theme_mod( 'artix_cta_button_hover_border_color' , '#dd3333' );
$cta_button_hover_color = get_theme_mod( 'artix_cta_button_hover_color' , '#ffffff' );

$single_post_meta_alignment = get_theme_mod( 'artix_single_post_meta_alignment' , 'left' );
$single_post_background_color = get_theme_mod( 'artix_single_post_background_color' , '#ffffff' );
$single_post_border_radius = get_theme_mod( 'artix_single_post_border_radius' , 5 );
$single_post_image_alignment = get_theme_mod( 'artix_single_post_image_alignment' , 'left' );
$single_post_footer_alignment = get_theme_mod( 'artix_single_post_footer_alignment' , 'left' );
$next_prev_button_text_color = get_theme_mod( 'artix_next_prev_button_text_color' , '#ffffff' );
$next_prev_button_background_color = get_theme_mod( 'artix_next_prev_button_background_color' , '#dd3333' );




echo <<<EOT

<style type="text/css">
@import url('https://fonts.googleapis.com/css?family={$body_font_family_pluses}|{$heading_font_family_pluses}|{$header_image_title_font_family_pluses}|{$header_image_subtitle_font_family_pluses}');
body {
	font-family: '{$body_font_family}', {$body_fallback};
}
h1, h2, h3, h4, h5, h6 {
	font-family: '{$heading_font_family}', {$heading_fallback};
}

.post-navigation .nav-previous a,
.posts-navigation .nav-previous a,
.comment-navigation .nav-previous a,
.post-navigation .nav-next a,
.posts-navigation .nav-next a,
.comment-navigation .nav-next a {
	color: {$next_prev_button_text_color};
	background: {$next_prev_button_background_color};
	text-decoration: none;
}

.single .entry-meta {
	text-align: {$single_post_meta_alignment};
}

.single .post .article-inner {
	background: {$single_post_background_color};
	border-radius: {$single_post_border_radius}px;
}

.single .post-thumbnail {
	text-align: {$single_post_image_alignment};
}

.single .entry-footer {
	text-align: {$single_post_footer_alignment};
}



.header-image {
	{$display_header_image};
	min-height: 600px;
	justify-content: center;
	align-items: center;
}

.header-image-data {
	width: 80%;
	margin-top: 100px;
	margin-bottom: 100px;
}

.header-image-title h2{
	font-family: '{$header_image_title_font_family}', {$header_image_title_fallback};
	color: {$header_image_title_color}; 
	text-align: {$header_image_title_alignment};
	font-size: {$header_image_title_font_size}px; 
	font-weight: {$header_image_title_font_weight};
	margin-bottom: {$header_image_title_margin_bottom}px;
}
.header-image-subtitle p {
	font-family: '{$header_image_subtitle_font_family}', {$header_image_subtitle_fallback};
	color: {$header_image_subtitle_color};
	text-align: {$header_image_subtitle_alignment};
	font-size: {$header_image_subtitle_font_size}px;
	font-weight: {$header_image_subtitle_font_weight};
	margin-bottom: {$header_image_subtitle_margin_bottom}px;
}
.header-image-link {
	text-align: {$cta_button_alignment}; 
}
.header-image-link a {
	display: inline-block;
	padding: {$cta_button_vertical_padding}px {$cta_button_horizontal_padding}px;
	border-radius: {$cta_button_border_radius}px;
	border-width: {$cta_button_border_width}px;
	font-size: {$cta_button_font_size}px;
	border-style: solid;
	border-color: {$cta_button_border_color};
	color: {$cta_button_text_color};
	text-decoration: none;
	cursor: pointer;
	transition: 0.3s;
}

.header-image-link a:hover {
	background: {$cta_button_hover_background_color};
	border-color: {$cta_button_hover_border_color};
	color: {$cta_button_hover_color};
}

.site-header {
	background: {$header_backgroundcolor};
}
.site-header-inner {
	max-width: {$header_max_width}px;
}
.site-content-inner {
	max-width: {$content_max_width}px;
	background: {$content_background_color};
}
.site-footer-inner {
	max-width: {$footer_max_width}px;
}

.site-content {
	margin-top: {$content_top_margin}px;
	margin-bottom: {$content_bottom_margin}px;
}
.widget-area {
	{$display_sidebar};
}
.site-footer {
	background: {$footer_background_color};
	color: {$footer_color};
}
.site-title {
	font-size: {$site_title_font_size}px;
	font-family: '{$heading_font_family}', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
	{$show_site_title};
	width: auto;
}

.site-description {
	font-size: {$site_description_font_size}px;
	{$show_site_tagline};
}

.site-title a,
.site-title a:hover,
.site-description {
	color: {$header_text_color};
}
body {
	color: {$site_text_color};
	font-size: {$body_font_size}px;
}
a {
	color: {$site_link_color};
}
a:hover {
	color: {$site_link_hover_color};
}
h1 {
  font-size: {$h1_font_size}px;
}

h2 {
  font-size: {$h2_font_size}px;
}

h3 {
  font-size: {$h3_font_size}px;
}

h4 {
  font-size: {$h4_font_size}px;
}

h5 {
  font-size: {$h5_font_size}px; 
}

h6 {
  font-size: {$h6_font_size}px; 
}
h1.entry-title {
	font-size: {$single_post_title_size}px;
}
.widget-title {
	font-size: {$sidebar_widget_title_font_size}px;
	color: {$sidebar_widget_title_color};
}
.widget {
		background: {$sidebar_widget_background_color};
		font-size: {$sidebar_widget_font_size}px;
		color: {$sidebar_widget_text_color};
}

.site-footer {
	color: {$footer_widget_text_color};
	font-size: {$footer_widget_text_font_size}px;
}

.site-footer .widget-title {
	color: {$footer_widget_title_color};
	font-size: {$footer_widget_title_font_size}px;
}
.sm-clean {
background: {$mobile_navigation_menu_background_color};
}
.sm-clean a, .sm-clean a:hover, .sm-clean a:focus, .sm-clean a:active {
	color: {$mobile_navigation_menu_link_color};
}
.menu-button-container {
	background: {$dropdown_area_color};
}
.menu-toggle {
	color: {$dropdown_button_color};
	background: {$dropdown_button_background_color};
}
	.blog .site-main .entry-meta {
		text-align: {$blog_entry_meta_alignment};
		margin: 0 0 16px;
	}
	.blog .site-main .entry-title {
		text-align: {$blog_entry_title_alignment};
	}
	.blog .site-main .entry-footer {
		text-align: {$blog_entry_footer_alignment};
	}

	.blog a.post-thumbnail {
		display: block;
		text-align: {$blog_entry_image_alignment};
	}

	.site-main .article-inner {
		background: {$blog_entry_background_color};

	}

	.blog .site-main .article-inner {
		border-radius: {$blog_entry_border_radius}px;
		padding-bottom: 16px;

	}

	.site-main .entry-header {
		margin-top: 16px;
	}

	.site-main .entry-header,
	.site-main .entry-content,
	.site-main .entry-footer,
	.site-main .more-link-container	 {
		margin-left: {$blog_entry_padding}px;
		margin-right: {$blog_entry_padding}px;

	}

	.more-link-container {
		text-align: {$read_more_link_alignment}; /* Customizable Read More Button Alignment Right, Center, Left */
	}

	.more-link, .more-link:hover {
		color: {$read_more_link_color};
		background: {$read_more_link_background_color};
	}

	.pagination .page-numbers, a.page-numbers {
	color: {$pagination_text_color};
	background: {$pagination_background_color};
}
.pagination a.page-numbers:hover,
.pagination span.current {
	color: {$pagination_hover_text_color};
	background: {$pagination_hover_background_color};
}

@media ( min-width: 768px ) {

	.content-area {
		width: {$content_width}%;
	}
	.widget-area {
		width: {$sidebar_width}%;
	}

	.main-navigation {
		justify-content: {$navigation_menu_position};
	}
	.sm-clean {
		background: {$navigation_top_menu_background_color};
	}
	.sm-clean a, .sm-clean a:hover, .sm-clean a:focus, .sm-clean a:active, .sm-clean a.highlighted {
		color: {$navigation_top_menu_link_color};
	}
	.sm-clean a .sub-arrow {
	    border-color: {$navigation_top_menu_link_color} transparent transparent transparent;
	}
	.sm-clean ul {
		background: {$dropdown_background_color};
	}
	.sm-clean ul a, .sm-clean ul a:hover, .sm-clean ul a:focus, .sm-clean ul a:active, .sm-clean ul a.highlighted {
		color: {$dropdown_link_color};
	}
	.sm-clean ul a .sub-arrow {
		border-color: transparent transparent transparent {$dropdown_link_color};
	}
	.sm-clean ul a:hover, .sm-clean ul a:focus, .sm-clean ul a:active, .sm-clean ul a.highlighted {
		color: {$dropdown_link_hover_color}; /* Drop Down Link Hover Color */
		background: {$dropdown_link_hover_background_color};
	}
	.sm-clean > li > a, .sm-clean > li > a:hover, .sm-clean > li > a:focus, .sm-clean > li > a:active, .sm-clean > li > a.highlighted {
		font-size: {$navigation_top_menu_font_size}px;
	}

	.blog .site-main > article {
		width: {$blog_entry_style}%;
	}
	
}
</style>

EOT;
}

add_action( 'wp_head', 'artix_custom_css_output');