<?php
/**
 * Artix Theme Customizer
 *
 * @package Artix
 */

function artix_customize_register( $wp_customize ) {
	require get_template_directory() . '/inc/customizer/artix-fonts.php';
	//Titles
    class Artix_Info extends WP_Customize_Control {
        public $type = 'info';
        public $label = '';
        public function render_content() {
        ?>
            <h3 style="margin-top:30px;padding:6px 0 6px;text-align:center;color:#000;text-transform:uppercase;border: 3px solid #000"><?php echo esc_html( $this->label ); ?></h3>
        <?php
        }
    }    
	//SECTION: Typography
	$wp_customize->add_section( 'artix_typography_section', array(
	  'title' => __( 'Typography' , 'artix' ),
	  'priority' => 21,
	) );
	//SECTION: Header Area
	$wp_customize->add_section( 'artix_header_section' , array(
		'title' => __( 'Header' , 'artix' ),
		'priority' => 41,
	) );
	//SECTION: Navigation Menu
	$wp_customize->add_section( 'artix_navigation_menu_section', array(
	  'title' => __( 'Navigation Menu' , 'artix' ),
	  'priority' => 42,
	) );
	//SECTION: Content Area
	$wp_customize->add_section( 'artix_content_area_section', array(
	  'title' => __( 'Content' , 'artix' ),
	  'priority' => 43,
	) );
	//SECTION: Blog Entry
	$wp_customize->add_section( 'artix_blog_entry_section', array(
	  'title' => __( 'Blog Entry' , 'artix' ),
	  'priority' => 43,
	) );
	//SECTION: Single Post
	$wp_customize->add_section( 'artix_single_post_section' , array(
		'title' => __( 'Single Post' , 'artix' ),
		'priority' => 43,
	) );
	//SIdebar Section
	$wp_customize->add_section( 'artix_sidebar_section', array(
		'title' => __( 'Sidebar', 'artix' ),
		'priority' => 44,
	) );
	//Footer Section
	$wp_customize->add_section( 'artix_footer_section', array(
		'title' => __( 'Footer', 'artix' ),
		'priority' => 45,
	) );
	//SETTING: header text color
	$wp_customize->add_setting( 'artix_header_text_color', array(
	  'default' => '#eeeeee',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_header_text_color', array(
	  'label' => __( 'Text Color', 'artix' ),
	  'section' => 'artix_header_section',
	) ) );
	//SETTING: header background color
	$wp_customize->add_setting( 'artix_header_backgroundcolor', array(
	  'default' => '#111111',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_header_backgroundcolor', array(
	  'label' => __( 'Background Color', 'artix' ),
	  'section' => 'artix_header_section',
	) ) );
	//SETTING: Content Background color
	$wp_customize->add_setting( 'artix_content_background_color', array(
	  'default' => '#eeeeee',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_content_background_color', array(
	  'label' => __( 'Background Color', 'artix' ),
	  'section' => 'artix_content_area_section',
	) ) );
	//SETTING: site text color
	$wp_customize->add_setting( 'artix_site_text_color', array(
	  'default' => '#111111',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_site_text_color', array(
	  'label' => __( 'Site Text Color', 'artix' ),
	  'section' => 'colors',
	) ) );
	//SETTING: link color
	$wp_customize->add_setting( 'artix_site_link_color', array(
	  'default' => '#dd3333',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_site_link_color', array(
	  'label' => __( 'Links Color', 'artix' ),
	  'section' => 'colors',
	) ) );
	//SETTING: link hover color
	$wp_customize->add_setting( 'artix_site_link_hover_color', array(
	  'default' => '#eb3636',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_site_link_hover_color', array(
	  'label' => __( 'Links Hover Color', 'artix' ),
	  'section' => 'colors',
	) ) );
	//SETTING: footer text color
	$wp_customize->add_setting( 'artix_footer_color', array(
	  'default' => '#eeeeee',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_footer_color', array(
	  'label' => __( 'Footer Text Color', 'artix' ),
	  'section' => 'artix_footer_section',
	) ) );
	//SETTING: footer background color
	$wp_customize->add_setting( 'artix_footer_background_color', array(
	  'default' => '#111111',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_footer_background_color', array(
	  'label' => __( 'Footer Background Color', 'artix' ),
	  'section' => 'artix_footer_section',
	) ) );
	//SETTING: navigation menu position
	$wp_customize->add_setting( 'artix_navigation_menu_position' , array(
		'default'           => 'flex-end',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_navigation_menu_position' , array(
		'type'       => 'radio',
		'section'    => 'artix_navigation_menu_section',
		'label'      => __( 'Alignment' , 'artix' ),
		'choices'    => array(
			'flex-start' => 'Left',
			'flex-end'   => 'Right',
		),
	) );
	//SETTING: Content Top Margin
	$wp_customize->add_setting( 'artix_content_top_margin' , array(
		'default'           =>    40,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_content_top_margin' , array(
		'type'         => 'number',
		'label'        => __( 'Top Margin' , 'artix' ),
		'description'  => __( 'Spacing between Header and Content Top', 'artix' ),
		'section'      => 'artix_content_area_section',
	) );
	//SETTING: Content Bottom Margin
	$wp_customize->add_setting( 'artix_content_bottom_margin' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_content_bottom_margin' , array(
		'type'         => 'number',
		'label'        => __( 'Bottom Margin' , 'artix' ),
		'description'  => __( 'Spacing between Footer and Content Bottom', 'artix' ),
		'section'      => 'artix_content_area_section',
	) );
	//SETTING: Excerpt Length
	$wp_customize->add_setting( 'excerpt_length' , array(
		'default'           =>    '55',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'excerpt_length' , array(
		'type'         => 'number',
		'label'        => __( 'Excerpt Length' , 'artix' ),
		'description'  => __( 'Number of words to show before the Continue Reading button. Default is 55', 'artix' ),
		'section'      => 'artix_blog_entry_section',
	) );
	//SETTING: Heading Font Family
	$wp_customize->add_setting( 'artix_heading_font_family' , array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_heading_font_family' , array(
		'type'       => 'select',
		'section'    => 'artix_typography_section',
		'label'      => __( 'Heading Font Family' , 'artix' ),
		'choices'    => $artix_fonts,
	) );
	//SETTING: Heading Fallback
	$wp_customize->add_setting( 'artix_heading_fallback' , array(
		'default'           => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_heading_fallback' , array(
		'type'       => 'select',
		'section'    => 'artix_typography_section',
		'label'      => __( 'Heading Fallback Font' , 'artix' ),
		'choices'    => $artix_fallback,
	) );
	//SETTING: Body Font Family
	$wp_customize->add_setting( 'artix_body_font_family' , array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_body_font_family' , array(
		'type'       => 'select',
		'section'    => 'artix_typography_section',
		'label'      => __( 'Body Font Family' , 'artix' ),
		'choices'    => $artix_fonts,
	) );
	//SETTING: Body Fallback
	$wp_customize->add_setting( 'artix_body_fallback' , array(
		'default'           => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_body_fallback' , array(
		'type'       => 'select',
		'section'    => 'artix_typography_section',
		'label'      => __( 'Body Fallback Font' , 'artix' ),
		'choices'    => $artix_fallback,
	) );
	//SETTING: Site Title Font Size
	$wp_customize->add_setting( 'artix_site_title_font_size' , array(
		'default'           =>    28,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_site_title_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Site Title Font Size (px)' , 'artix' ),
		'section'      => 'artix_typography_section',
	) );
	//SETTING: Site Description Font Size
	$wp_customize->add_setting( 'artix_site_description_font_size' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_site_description_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Site Description Font Size (px)' , 'artix' ),
		'section'      => 'artix_typography_section',
	) );
	//SETTING: H1 Font Size
	$wp_customize->add_setting( 'artix_h1_font_size' , array(
		'default'           =>    40,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_h1_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'H1 Font Size (px)' , 'artix' ),
		'section'      => 'artix_typography_section',
	) );
	//SETTING: H2 Font Size
	$wp_customize->add_setting( 'artix_h2_font_size' , array(
		'default'           =>    32,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_h2_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'H2 Font Size (px)' , 'artix' ),
		'section'      => 'artix_typography_section',
	) );
	//SETTING: H3 Font Size
	$wp_customize->add_setting( 'artix_h3_font_size' , array(
		'default'           =>    28,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_h3_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'H3 Font Size (px)' , 'artix' ),
		'section'      => 'artix_typography_section',
	) );
	//SETTING: H4 Font Size
	$wp_customize->add_setting( 'artix_h4_font_size' , array(
		'default'           =>    24,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_h4_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'H4 Font Size (px)' , 'artix' ),
		'section'      => 'artix_typography_section',
	) );
	//SETTING: H5 Font Size
	$wp_customize->add_setting( 'artix_h5_font_size' , array(
		'default'           =>    20,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_h5_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'H5 Font Size (px)' , 'artix' ),
		'section'      => 'artix_typography_section',
	) );
	//SETTING: H6 Font Size
	$wp_customize->add_setting( 'artix_h6_font_size' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_h6_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'H6 Font Size (px)' , 'artix' ),
		'section'      => 'artix_typography_section',
	) );
	//Display Site Title
	$wp_customize->add_setting( 'artix_show_site_title', array(
		'default'           => 1,
		'sanitize_callback' => 'artix_sanitize_checkbox',
	) );
    $wp_customize->add_control( 'artix_show_site_title', array(
            'type'      => 'checkbox',
            'label'     => __('Display Site Title', 'artix'),
            'section'   => 'title_tagline',
        ) );
	//Display Site Tagline
	$wp_customize->add_setting( 'artix_show_site_tagline', array(
		'default'           => 1,
		'sanitize_callback' => 'artix_sanitize_checkbox',
	) );
    $wp_customize->add_control( 'artix_show_site_tagline', array(
            'type'      => 'checkbox',
            'label'     => __('Display Site Tagline', 'artix'),
            'section'   => 'title_tagline',
        ) );
    //SETTING: Body Font Size
	$wp_customize->add_setting( 'artix_body_font_size' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_body_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Body Font Size (px)' , 'artix' ),
		'description'  => __( 'Size of Website text like post content and widget content text size', 'artix' ),
		'section'      => 'artix_typography_section',
	) );

    //SETTING: Single Post Title Size
	$wp_customize->add_setting( 'artix_single_post_title_size' , array(
		'default'           =>    40,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_single_post_title_size' , array(
		'type'         => 'number',
		'label'        => __( 'Single Post Title Size (px)' , 'artix' ),
		'section'      => 'artix_typography_section',
	) );
    //sidebar_widget Title Font Size
	$wp_customize->add_setting( 'artix_sidebar_widget_title_font_size' , array(
		'default'           =>    32,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_sidebar_widget_title_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Sidebar Widget Title Font Size (px)' , 'artix' ),
		'section'      => 'artix_sidebar_section',
	) );
	//sidebar_widget Title color
	$wp_customize->add_setting( 'artix_sidebar_widget_title_color', array(
	  'default' => '#111111',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_sidebar_widget_title_color', array(
	  'label' => __( 'Sidebar Widget Title Color', 'artix' ),
	  'section' => 'artix_sidebar_section',
	) ) );
	//sidebar_widget Background color
	$wp_customize->add_setting( 'artix_sidebar_widget_background_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_sidebar_widget_background_color', array(
	  'label' => __( 'Sidebar Widget Background Color', 'artix' ),
	  'section' => 'artix_sidebar_section',
	) ) );
    //sidebar_widget Font Size
	$wp_customize->add_setting( 'artix_sidebar_widget_font_size' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_sidebar_widget_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Sidebar Widget Font Size (px)' , 'artix' ),
		'section'      => 'artix_sidebar_section',
	) );
	//sidebar_widget Text color
	$wp_customize->add_setting( 'artix_sidebar_widget_text_color', array(
	  'default' => '#111111',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_sidebar_widget_text_color', array(
	  'label' => __( 'Sidebar Widget Text Color', 'artix' ),
	  'section' => 'artix_sidebar_section',
	) ) );
	//Footer Widget Title color
	$wp_customize->add_setting( 'artix_footer_widget_title_color', array(
	  'default' => '#dddddd',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_footer_widget_title_color', array(
	  'label' => __( 'Footer Widget Title Color', 'artix' ),
	  'section' => 'artix_footer_section',
	) ) );
	//Footer Widget Text color
	$wp_customize->add_setting( 'artix_footer_widget_text_color', array(
	  'default' => '#dddddd',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_footer_widget_text_color', array(
	  'label' => __( 'Footer Widget Text Color', 'artix' ),
	  'section' => 'artix_footer_section',
	) ) );
    //Footer widget Title Font Size
	$wp_customize->add_setting( 'artix_footer_widget_title_font_size' , array(
		'default'           =>    32,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_footer_widget_title_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Footer Widget Title Font Size (px)' , 'artix' ),
		'section'      => 'artix_footer_section',
	) );
    //Footer widget Text Font Size
	$wp_customize->add_setting( 'artix_footer_widget_text_font_size' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_footer_widget_text_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Footer Widget Text Font Size (px)' , 'artix' ),
		'section'      => 'artix_footer_section',
	) );
	//Navigation Top Menu Link Color
	$wp_customize->add_setting( 'artix_navigation_top_menu_link_color', array(
	  'default' => '#eeeeee',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_navigation_top_menu_link_color', array(
	  'label' => __( 'Top Menu Link Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Navigation Top Menu Background Color
	$wp_customize->add_setting( 'artix_navigation_top_menu_background_color', array(
	  'default' => '#111111',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_navigation_top_menu_background_color', array(
	  'label' => __( 'Top Menu Background Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Navigation Top Menu Font Size
	$wp_customize->add_setting( 'artix_navigation_top_menu_font_size' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_navigation_top_menu_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Top Menu Font Size (px)' , 'artix' ),
		'section'      => 'artix_navigation_menu_section',
	) );

	$wp_customize->add_setting('artix_options[info]', array(
            'type'              => 'info_control',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr',            
        )
    );
    $wp_customize->add_control( new Artix_Info( $wp_customize, 'a4', array(
        'label' => __('Dropdown Settings', 'artix'),
        'section' => 'artix_navigation_menu_section',
        'settings' => 'artix_options[info]',
                ) )
    ); 
	//Dropdown Link Color
	$wp_customize->add_setting( 'artix_dropdown_link_color', array(
	  'default' => '#111111',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_dropdown_link_color', array(
	  'label' => __( 'Link Color', 'artix' ),
	  'description' => __( 'Color of links inside dropdowns' , 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Dropdown Link Hover Color
	$wp_customize->add_setting( 'artix_dropdown_link_hover_color', array(
	  'default' => '#333333',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_dropdown_link_hover_color', array(
	  'label' => __( 'Link Hover Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Dropdown Background Color
	$wp_customize->add_setting( 'artix_dropdown_background_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_dropdown_background_color', array(
	  'label' => __( 'Background Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Dropdown Link Hover Background Color
	$wp_customize->add_setting( 'artix_dropdown_link_hover_background_color', array(
	  'default' => '#dddddd',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_dropdown_link_hover_background_color', array(
	  'label' => __( 'Link Hover Background Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );

		$wp_customize->add_setting('artix_options[info]', array(
            'type'              => 'info_control',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr',            
        )
    );
    $wp_customize->add_control( new Artix_Info( $wp_customize, 'a5', array(
        'label' => __('Mobile Menu Settings', 'artix'),
        'section' => 'artix_navigation_menu_section',
        'settings' => 'artix_options[info]',
                ) )
    ); 
	//Mobile Button Color
	$wp_customize->add_setting( 'artix_dropdown_button_color', array(
	  'default' => '#dddddd',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_dropdown_button_color', array(
	  'label' => __( 'Menu Button Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Dropdown Button Background Color
	$wp_customize->add_setting( 'artix_dropdown_button_background_color', array(
	  'default' => '#222222',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_dropdown_button_background_color', array(
	  'label' => __( 'Menu Button Background Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Dropdown Area Color
	$wp_customize->add_setting( 'artix_dropdown_area_color', array(
	  'default' => '#333333',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_dropdown_area_color', array(
	  'label' => __( 'Menu Area Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Mobile Navigation Menu Link Color
	$wp_customize->add_setting( 'artix_mobile_navigation_menu_link_color', array(
	  'default' => '#111111',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_mobile_navigation_menu_link_color', array(
	  'label' => __( 'Menu Link Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Mobile Navigation Menu Background Color
	$wp_customize->add_setting( 'artix_mobile_navigation_menu_background_color', array(
	  'default' => '#eeeeee',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_mobile_navigation_menu_background_color', array(
	  'label' => __( 'Menu Background Color', 'artix' ),
	  'section' => 'artix_navigation_menu_section',
	) ) );
	//Header Maximum Width (px)
	$wp_customize->add_setting( 'artix_header_max_width' , array(
		'default'           =>    1200,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_header_max_width' , array(
		'type'         => 'number',
		'label'        => __( 'Max Width (Default: 1200px)' , 'artix' ),
		'section'      => 'artix_header_section',
	) );
	//Content Area Maximum Width (px)
	$wp_customize->add_setting( 'artix_content_max_width' , array(
		'default'           =>    1200,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_content_max_width' , array(
		'type'         => 'number',
		'label'        => __( 'Maximum Width (Default: 1200px)' , 'artix' ),
		'section'      => 'artix_content_area_section',
	) );
	//Footer Maximum Width (px)
	$wp_customize->add_setting( 'artix_footer_max_width' , array(
		'default'           =>    1200,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_footer_max_width' , array(
		'type'         => 'number',
		'label'        => __( 'Footer Maximum Width (Default: 1200px)' , 'artix' ),
		'section'      => 'artix_footer_section',
	) );
	//Display Sidebar
	$wp_customize->add_setting( 'artix_display_sidebar', array(
		'default'           => 1,
		'sanitize_callback' => 'artix_sanitize_checkbox',
	) );
    $wp_customize->add_control( 'artix_display_sidebar', array(
            'type'      => 'checkbox',
            'label'     => __('Display Sidebar', 'artix'),
            'section'   => 'artix_content_area_section',
        ) );
    //Content Width (%)
	$wp_customize->add_setting( 'artix_content_width' , array(
		'default'           =>    70,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_content_width' , array(
		'type'         => 'number',
		'label'        => __( 'Content Width (Default: 70%)' , 'artix' ),
		'section'      => 'artix_content_area_section',
	) );
	//Sidebar Width (%)
	$wp_customize->add_setting( 'artix_sidebar_width' , array(
		'default'           =>    30,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_sidebar_width' , array(
		'type'         => 'number',
		'label'        => __( 'Sidebar Width (Default: 30%)' , 'artix' ),
		'section'      => 'artix_content_area_section',
	) );
	//Blog Entry Style ()
	$wp_customize->add_setting( 'artix_blog_entry_style' , array(
		'default'           =>    100,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_blog_entry_style' , array(
		'type'         => 'select',
		'label'        => __( 'Style (Default: One Column)' , 'artix' ),
		'section'      => 'artix_blog_entry_section',
		'choices'      => array(
			100        => 'One Column',
			50         => 'Two Columns'
		),
	) );
	//Blog Entry Meta Alignment
	$wp_customize->add_setting( 'artix_blog_entry_meta_alignment' , array(
		'default'           =>    'center',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_blog_entry_meta_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Meta Alignment' , 'artix' ),
		'section'      => 'artix_blog_entry_section',
		'choices'      => $text_align,
	) );
	//Blog Entry Title Alignment
	$wp_customize->add_setting( 'artix_blog_entry_title_alignment' , array(
		'default'           =>    'center',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_blog_entry_title_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Title Alignment' , 'artix' ),
		'section'      => 'artix_blog_entry_section',
		'choices'      => $text_align,
	) );
	//Blog Entry Footer Alignment
	$wp_customize->add_setting( 'artix_blog_entry_footer_alignment' , array(
		'default'           =>    'center',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_blog_entry_footer_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Footer Alignment' , 'artix' ),
		'section'      => 'artix_blog_entry_section',
		'choices'      => $text_align,
	) );
	//Blog Entry Image Alignment
	$wp_customize->add_setting( 'artix_blog_entry_image_alignment' , array(
		'default'           =>    'center',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_blog_entry_image_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Image Alignment' , 'artix' ),
		'section'      => 'artix_blog_entry_section',
		'choices'      => $text_align,
	) );
	//Blog Entry Background Color
	$wp_customize->add_setting( 'artix_blog_entry_background_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_blog_entry_background_color', array(
	  'label' => __( 'Background Color', 'artix' ),
	  'section' => 'artix_blog_entry_section',
	) ) );
	//Blog Entry Border Radius (Default: 10px)
	$wp_customize->add_setting( 'artix_blog_entry_border_radius' , array(
		'default'           =>    10,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_blog_entry_border_radius' , array(
		'type'         => 'number',
		'label'        => __( 'Border Radius (Default: 10px)' , 'artix' ),
		'section'      => 'artix_blog_entry_section',
	) );
	//Blog Entry Padding
	$wp_customize->add_setting( 'artix_blog_entry_padding' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_blog_entry_padding' , array(
		'type'         => 'number',
		'label'        => __( 'Entry Padding' , 'artix' ),
		'section'      => 'artix_blog_entry_section',
	) );

		$wp_customize->add_setting('artix_options[info]', array(
            'type'              => 'info_control',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr',            
        )
    );
    $wp_customize->add_control( new Artix_Info( $wp_customize, 'a7', array(
        'label' => __('Read More Link', 'artix'),
        'section' => 'artix_blog_entry_section',
        'settings' => 'artix_options[info]',
                ) )
    ); 
	//Read More Link Alignment
	$wp_customize->add_setting( 'artix_read_more_link_alignment' , array(
		'default'           =>    'center',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_read_more_link_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Link Alignment' , 'artix' ),
		'section'      => 'artix_blog_entry_section',
		'choices'      => $text_align,
	) );
	//Read More Link Text
	$wp_customize->add_setting( 'artix_read_more_link_text' , array(
		'default'           =>    __( 'Continue Reading' , 'artix' ),
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_read_more_link_text' , array(
		'type'         => 'text',
		'label'        => __( 'Link Text' , 'artix' ),
		'section'      => 'artix_blog_entry_section',
	) );
	//Read More Link Color
	$wp_customize->add_setting( 'artix_read_more_link_color', array(
	  'default' => '#eeeeee',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_read_more_link_color', array(
	  'label' => __( 'Link Color', 'artix' ),
	  'section' => 'artix_blog_entry_section',
	) ) );
	//Read More Link Background Color
	$wp_customize->add_setting( 'artix_read_more_link_background_color', array(
	  'default' => '#dd3333',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_read_more_link_background_color', array(
	  'label' => __( 'Link Background Color', 'artix' ),
	  'section' => 'artix_blog_entry_section',
	) ) );

	$wp_customize->add_setting('artix_options[info]', array(
            'type'              => 'info_control',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr',            
        )
    );
    $wp_customize->add_control( new Artix_Info( $wp_customize, 'a6', array(
        'label' => __('Pagination Settings', 'artix'),
        'section' => 'artix_content_area_section',
        'settings' => 'artix_options[info]',
                ) )
    ); 
	//SETTING: Pagination Text Color
	$wp_customize->add_setting( 'artix_pagination_text_color', array(
	  'default' => '#888888',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_pagination_text_color', array(
	  'label' => __( 'Text Color', 'artix' ),
	  'section' => 'artix_content_area_section',
	) ) );
	//SETTING: Pagination Background Color
	$wp_customize->add_setting( 'artix_pagination_background_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_pagination_background_color', array(
	  'label' => __( 'Background Color', 'artix' ),
	  'section' => 'artix_content_area_section',
	) ) );
	//SETTING: Pagination Hover Text Color
	$wp_customize->add_setting( 'artix_pagination_hover_text_color', array(
	  'default' => '#dddddd',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_pagination_hover_text_color', array(
	  'label' => __( 'Hover Text Color', 'artix' ),
	  'section' => 'artix_content_area_section',
	) ) );
	//SETTING: Pagination Hover Background Color
	$wp_customize->add_setting( 'artix_pagination_hover_background_color', array(
	  'default' => '#555555',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_pagination_hover_background_color', array(
	  'label' => __( 'Hover Background Color', 'artix' ),
	  'section' => 'artix_content_area_section',
	) ) );
	//Display Header Image
	$wp_customize->add_setting( 'artix_display_header_image', array(
		'default'           => 1,
		'sanitize_callback' => 'artix_sanitize_checkbox',
	) );
    $wp_customize->add_control( 'artix_display_header_image', array(
            'type'      => 'checkbox',
            'label'     => __('Display Header Image', 'artix'),
            'section'   => 'header_image',
        ) );

    $wp_customize->add_setting('artix_options[info]', array(
            'type'              => 'info_control',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr',            
        )
    );
    $wp_customize->add_control( new Artix_Info( $wp_customize, 'a1', array(
        'label' => __('Header Image Title', 'artix'),
        'section' => 'header_image',
        'settings' => 'artix_options[info]',
                ) )
    );
    //Header Image Title Text
	$wp_customize->add_setting( 'artix_header_image_title_text' , array(
		'default'           =>    __( 'Grab Your Audience and Expand' , 'artix' ),
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_header_image_title_text' , array(
		'type'         => 'text',
		'label'        => __( 'Title Text' , 'artix' ),
		'section'      => 'header_image',
	) ); 
    //Header Image Title Font Family
	$wp_customize->add_setting( 'artix_header_image_title_font_family' , array(
		'default'           => 'Playfair Display',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_header_image_title_font_family' , array(
		'type'       => 'select',
		'section'    => 'header_image',
		'label'      => __( 'Title Font Family' , 'artix' ),
		'choices'    => $artix_fonts,
	) );
	//SETTING: Header Image Title Fallback
	$wp_customize->add_setting( 'artix_header_image_title_fallback' , array(
		'default'           => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_header_image_title_fallback' , array(
		'type'       => 'select',
		'section'    => 'header_image',
		'label'      => __( 'Title Fallback Font' , 'artix' ),
		'choices'    => $artix_fallback,
	) );
	//Header Image Title Color
	$wp_customize->add_setting( 'artix_header_image_title_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_header_image_title_color', array(
	  'label' => __( 'Title Color', 'artix' ),
	  'section' => 'header_image',
	) ) );
	//Header Image Title Alignment
	$wp_customize->add_setting( 'artix_header_image_title_alignment' , array(
		'default'           =>    'left',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_header_image_title_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Title Alignment' , 'artix' ),
		'section'      => 'header_image',
		'choices'      => $text_align,
	) );
	//Header Image Title Font Size (Default: 60px)
	$wp_customize->add_setting( 'artix_header_image_title_font_size' , array(
		'default'           =>    60,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_header_image_title_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Title Font Size (Default: 60px)' , 'artix' ),
		'section'      => 'header_image',
	) );
	//Header Image Title Font Weight (Default: 100)
	$wp_customize->add_setting( 'artix_header_image_title_font_weight' , array(
		'default'           =>    100,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_header_image_title_font_weight' , array(
		'type'         => 'select',
		'label'        => __( 'Title Font Weight (Default: 100)' , 'artix' ),
		'section'      => 'header_image',
		'choices'      => $artix_font_weight,
	) );
	//Header Image Title Margin Bottom (Default: 16px)
	$wp_customize->add_setting( 'artix_header_image_title_margin_bottom' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_header_image_title_margin_bottom' , array(
		'type'         => 'number',
		'label'        => __( 'Title Margin Bottom (Default: 16px)' , 'artix' ),
		'section'      => 'header_image',
	) );

	$wp_customize->add_setting('artix_options[info]', array(
            'type'              => 'info_control',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr',            
        )
    );
    $wp_customize->add_control( new Artix_Info( $wp_customize, 'a2', array(
        'label' => __('Header Image Subitle', 'artix'),
        'section' => 'header_image',
        'settings' => 'artix_options[info]',
                ) )
    ); 
    //Header Image Subtitle Text
	$wp_customize->add_setting( 'artix_header_image_subtitle_text' , array(
		'default'           =>    __( 'Modern, Highly Customizable, Professional, Businessey' , 'artix' ),
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_header_image_subtitle_text' , array(
		'type'         => 'text',
		'label'        => __( 'Subtitle Text' , 'artix' ),
		'section'      => 'header_image',
	) ); 
	//Header Image Subtitle Font Family
	$wp_customize->add_setting( 'artix_header_image_subtitle_font_family' , array(
		'default'           => 'Montserrat',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_header_image_subtitle_font_family' , array(
		'type'       => 'select',
		'section'    => 'header_image',
		'label'      => __( 'Subtitle Font Family' , 'artix' ),
		'choices'    => $artix_fonts,
	) );
	//SETTING: Header Image Subtitle Fallback
	$wp_customize->add_setting( 'artix_header_image_subtitle_fallback' , array(
		'default'           => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_header_image_subtitle_fallback' , array(
		'type'       => 'select',
		'section'    => 'header_image',
		'label'      => __( 'Subtitle Fallback Font' , 'artix' ),
		'choices'    => $artix_fallback,
	) );
	//Header Image Subtitle Color
	$wp_customize->add_setting( 'artix_header_image_subtitle_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_header_image_subtitle_color', array(
	  'label' => __( 'Header Image Subtitle Color', 'artix' ),
	  'section' => 'header_image',
	) ) );
	//Header Image Subtitle Alignment
	$wp_customize->add_setting( 'artix_header_image_subtitle_alignment' , array(
		'default'           =>    'left',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_header_image_subtitle_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Subtitle Alignment' , 'artix' ),
		'section'      => 'header_image',
		'choices'      => $text_align,
	) );
	//Header Image Subtitle Font Weight (Default: 100)
	$wp_customize->add_setting( 'artix_header_image_subtitle_font_weight' , array(
		'default'           =>    100,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_header_image_subtitle_font_weight' , array(
		'type'         => 'select',
		'label'        => __( 'Subtitle Font Weight (Default: 100)' , 'artix' ),
		'section'      => 'header_image',
		'choices'      => $artix_font_weight,
	) );
	//Header Image Subitle Font Size (Default: 30px)
	$wp_customize->add_setting( 'artix_header_image_subtitle_font_size' , array(
		'default'           =>    30,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_header_image_subtitle_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Subtitle Font Size (Default: 30px)' , 'artix' ),
		'section'      => 'header_image',
	) );
	//Header Image Subtitle Margin Bottom (Default: 16px)
	$wp_customize->add_setting( 'artix_header_image_subtitle_margin_bottom' , array(
		'default'           =>    16,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_header_image_subtitle_margin_bottom' , array(
		'type'         => 'number',
		'label'        => __( 'Subtitle Margin Bottom (Default: 16px)' , 'artix' ),
		'section'      => 'header_image',
	) );

		$wp_customize->add_setting('artix_options[info]', array(
            'type'              => 'info_control',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_attr',            
        )
    );
    $wp_customize->add_control( new Artix_Info( $wp_customize, 'a3', array(
        'label' => __('Call to Action Button', 'artix'),
        'section' => 'header_image',
        'settings' => 'artix_options[info]',
                ) )
    ); 
	//CTA Button Text
	$wp_customize->add_setting( 'artix_cta_button_text' , array(
		'default'           =>    __( 'Lets Build' , 'artix' ),
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_cta_button_text' , array(
		'type'         => 'text',
		'label'        => __( 'Button Text' , 'artix' ),
		'section'      => 'header_image',
	) ); 
	//CTA Button Alignment
	$wp_customize->add_setting( 'artix_cta_button_alignment' , array(
		'default'           =>    'left',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_cta_button_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Button Alignment' , 'artix' ),
		'section'      => 'header_image',
		'choices'      => $text_align,
	) );
	//CTA Button Vertical Padding (Default: 10px)
	$wp_customize->add_setting( 'artix_cta_button_vertical_padding' , array(
		'default'           =>    10,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_cta_button_vertical_padding' , array(
		'type'         => 'number',
		'label'        => __( 'Button Vertical Padding (Default: 10px)' , 'artix' ),
		'section'      => 'header_image',
	) );
	//CTA Button Horizontal Padding (Default: 20px)
	$wp_customize->add_setting( 'artix_cta_button_horizontal_padding' , array(
		'default'           =>    20,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_cta_button_horizontal_padding' , array(
		'type'         => 'number',
		'label'        => __( 'Button Horizontal Padding (Default: 20px)' , 'artix' ),
		'section'      => 'header_image',
	) );
	//CTA Button Border Radius (Default: 50px)
	$wp_customize->add_setting( 'artix_cta_button_border_radius' , array(
		'default'           =>    50,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_cta_button_border_radius' , array(
		'type'         => 'number',
		'label'        => __( 'Button Border Radius (Default: 50px)' , 'artix' ),
		'section'      => 'header_image',
	) );
	//CTA Button Border Width (Default: 2px)
	$wp_customize->add_setting( 'artix_cta_button_border_width' , array(
		'default'           =>    2,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_cta_button_border_width' , array(
		'type'         => 'number',
		'label'        => __( 'Button Border Width (Default: 2px)' , 'artix' ),
		'section'      => 'header_image',
	) );
	//CTA Button Font Size (Default: 20px)
	$wp_customize->add_setting( 'artix_cta_button_font_size' , array(
		'default'           =>    20,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_cta_button_font_size' , array(
		'type'         => 'number',
		'label'        => __( 'Button Font Size (Default: 20px)' , 'artix' ),
		'section'      => 'header_image',
	) );
	//CTA Button Border Color
	$wp_customize->add_setting( 'artix_cta_button_border_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_cta_button_border_color', array(
	  'label' => __( 'Button Border Color', 'artix' ),
	  'section' => 'header_image',
	) ) );
	//CTA Button Text Color
	$wp_customize->add_setting( 'artix_cta_button_text_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_cta_button_text_color', array(
	  'label' => __( 'Button Text Color', 'artix' ),
	  'section' => 'header_image',
	) ) );
	//CTA Button Hover Background Color
	$wp_customize->add_setting( 'artix_cta_button_hover_background_color', array(
	  'default' => '#dd3333',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_cta_button_hover_background_color', array(
	  'label' => __( 'Button Hover Background Color', 'artix' ),
	  'section' => 'header_image',
	) ) );
	//CTA Button Hover Border Color
	$wp_customize->add_setting( 'artix_cta_button_hover_border_color', array(
	  'default' => '#dd3333',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_cta_button_hover_border_color', array(
	  'label' => __( 'Button Hover Border Color', 'artix' ),
	  'section' => 'header_image',
	) ) );
	//CTA Button Hover Color
	$wp_customize->add_setting( 'artix_cta_button_hover_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_cta_button_hover_color', array(
	  'label' => __( 'Button Hover Text Color', 'artix' ),
	  'section' => 'header_image',
	) ) );
	//Single Meta Alignment
	$wp_customize->add_setting( 'artix_single_post_meta_alignment' , array(
		'default'           =>    'left',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_single_post_meta_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Single Post Meta Alignment' , 'artix' ),
		'section'      => 'artix_single_post_section',
		'choices'      => $text_align,
	) );
	//Single Post Background Color
	$wp_customize->add_setting( 'artix_single_post_background_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_single_post_background_color', array(
	  'label' => __( 'Single Post Background Color', 'artix' ),
	  'section' => 'artix_single_post_section',
	) ) );
	//Single Post Outer Radius (Default: 5px)
	$wp_customize->add_setting( 'artix_single_post_border_radius' , array(
		'default'           =>    5,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'artix_single_post_border_radius' , array(
		'type'         => 'number',
		'label'        => __( 'Single Post Outer Radius (Default: 5px)' , 'artix' ),
		'section'      => 'artix_single_post_section',
	) );
	//Single Post Image Alignment
	$wp_customize->add_setting( 'artix_single_post_image_alignment' , array(
		'default'           =>    'left',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_single_post_image_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Single Post Image Alignment' , 'artix' ),
		'section'      => 'artix_single_post_section',
		'choices'      => $text_align,
	) );
	//Single Post Footer Alignment
	$wp_customize->add_setting( 'artix_single_post_footer_alignment' , array(
		'default'           =>    'left',
		'sanitize_callback' => 'wp_strip_all_tags',
	) );
	$wp_customize->add_control( 'artix_single_post_footer_alignment' , array(
		'type'         => 'select',
		'label'        => __( 'Single Post Footer Alignment' , 'artix' ),
		'section'      => 'artix_single_post_section',
		'choices'      => $text_align,
	) );
	//Next Prev Button Text Color
	$wp_customize->add_setting( 'artix_next_prev_button_text_color', array(
	  'default' => '#ffffff',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_next_prev_button_text_color', array(
	  'label' => __( 'Next Prev Button Text Color', 'artix' ),
	  'section' => 'artix_single_post_section',
	) ) );

	//Next Prev Button Background Color
	$wp_customize->add_setting( 'artix_next_prev_button_background_color', array(
	  'default' => '#dd3333',
	  'sanitize_callback' => 'sanitize_hex_color',
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'artix_next_prev_button_background_color', array(
	  'label' => __( 'Next Prev Button Background Color', 'artix' ),
	  'section' => 'artix_single_post_section',
	) ) );
}

add_action( 'customize_register', 'artix_customize_register' );
//Checkboxes Sanitization
function artix_sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}

require get_template_directory() . '/inc/customizer/customizer-css.php';

/**
 * Change the excerpt more string. This shows ... instead of the ugly [..]
 */
 function artix_excerpt_more( $more ) {
     return '&hellip;';
 }
 add_filter( 'excerpt_more', 'artix_excerpt_more' );

 /**
 * Filter the excerpt length to characters set via customizer. Default is 55 words.
 *
 * @param int $length Excerpt length.
 * @return int (Maybe) modified excerpt length.
 */
function artix_excerpt_length( $length ) {
    return get_theme_mod('excerpt_length', '55' );
}
add_filter( 'excerpt_length', 'artix_excerpt_length', 999);