<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Artix
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="article-inner">
	<?php artix_post_thumbnail(); ?>
	<header class="entry-header">
		<div class="entry-meta">
				<?php
				artix_posted_on();
				artix_posted_by();

if ( ! is_single() && ! post_password_required() && ( comments_open() || get_comments_number() ) ) {
			echo '<span> | </span><span class="comments-link">';
			comments_popup_link(
				sprintf(
					wp_kses(
						/* translators: %s: post title */
						__( 'Leave a Comment<span class="screen-reader-text"> on %s</span>', 'artix' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					get_the_title()
				)
			);
			echo '</span>';
		}

				?>
			</div><!-- .entry-meta -->
		<?php
		if ( is_singular() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;

		if ( 'post' === get_post_type() ) :
			?>
			
		<?php endif; ?>
	</header><!-- .entry-header -->


	<div class="entry-content">
		<?php
		if ( is_single() ) {
		the_content( sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'artix' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

	} else {
		the_excerpt(); 
	}


		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'artix' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->
	<?php if ( ! is_single()) : ?>
	<div class="more-link-container"> 
		<a class="more-link" href="<?php echo get_permalink(); ?>"><?php echo get_theme_mod('read_more_link_text' , 'Continue Reading'); ?></a>
	</div>
<?php endif; ?>

	<footer class="entry-footer">
		<?php artix_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</div><!-- .article-inner -->
</article><!-- #post-<?php the_ID(); ?> -->
